Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model
Interface OWLNames.Cls

Enclosing interface:
  OWLNames

    public static interface OWLNames.Cls

Field Summary
`static String` | `ALL_DIFFERENT`
`static String` | `ALL_VALUES_FROM_RESTRICTION`
`static String` | `ANNOTATION_PROPERTY`
`static String` | `ANONYMOUS_CLASS`
`static String` | `ANONYMOUS_ROOT`
`static String` | `CARDINALITY_RESTRICTION`
`static String` | `COMPLEMENT_CLASS`
`static String` | `DATA_RANGE`
`static String` | `DATATYPE_PROPERTY`
`static String` | `DEPRECATED_CLASS`
`static String` | `DEPRECATED_PROPERTY`
`static String` | `ENUMERATED_CLASS`
`static String` | `FUNCTIONAL_PROPERTY`
`static String` | `HAS_VALUE_RESTRICTION`
`static String` | `INTERSECTION_CLASS`
`static String` | `INVERSE_FUNCTIONAL_PROPERTY`
`static String` | `LOGICAL_CLASS`
`static String` | `MAX_CARDINALITY_RESTRICTION`
`static String` | `MIN_CARDINALITY_RESTRICTION`
`static String` | `NAMED_CLASS`
`static String` | `NOTHING`
`static String` | `OBJECT_PROPERTY`
`static String` | `ONTOLOGY`
`static String` | `OWL_CLASS`
`static String` | `OWL_ONTOLOGY_POINTER_CLASS`
`static String` | `RESTRICTION`
`static String` | `SOME_VALUES_FROM_RESTRICTION`
`static String` | `SYMMETRIC_PROPERTY`
`static String` | `THING`
`static String` | `TRANSITIVE_PROPERTY`
`static String` | `UNION_CLASS`

Field Detail

### ALL_DIFFERENT

    static final String ALL_DIFFERENT

### ALL_VALUES_FROM_RESTRICTION

    static final String ALL_VALUES_FROM_RESTRICTION

### ANNOTATION_PROPERTY

    static final String ANNOTATION_PROPERTY

### ANONYMOUS_CLASS

    static final String ANONYMOUS_CLASS

### ANONYMOUS_ROOT

    static final String ANONYMOUS_ROOT

### CARDINALITY_RESTRICTION

    static final String CARDINALITY_RESTRICTION

### COMPLEMENT_CLASS

    static final String COMPLEMENT_CLASS

### DATATYPE_PROPERTY

    static final String DATATYPE_PROPERTY

### DATA_RANGE

    static final String DATA_RANGE

### DEPRECATED_CLASS

    static final String DEPRECATED_CLASS

### DEPRECATED_PROPERTY

    static final String DEPRECATED_PROPERTY

### ENUMERATED_CLASS

    static final String ENUMERATED_CLASS

### FUNCTIONAL_PROPERTY

    static final String FUNCTIONAL_PROPERTY

### HAS_VALUE_RESTRICTION

    static final String HAS_VALUE_RESTRICTION

### INTERSECTION_CLASS

    static final String INTERSECTION_CLASS

### INVERSE_FUNCTIONAL_PROPERTY

    static final String INVERSE_FUNCTIONAL_PROPERTY

### LOGICAL_CLASS

    static final String LOGICAL_CLASS

### MAX_CARDINALITY_RESTRICTION

    static final String MAX_CARDINALITY_RESTRICTION

### MIN_CARDINALITY_RESTRICTION

    static final String MIN_CARDINALITY_RESTRICTION

### NAMED_CLASS

    static final String NAMED_CLASS

### NOTHING

    static final String NOTHING

### ONTOLOGY

    static final String ONTOLOGY

### OBJECT_PROPERTY

    static final String OBJECT_PROPERTY

### OWL_CLASS

    static final String OWL_CLASS

### RESTRICTION

    static final String RESTRICTION

### SOME_VALUES_FROM_RESTRICTION

    static final String SOME_VALUES_FROM_RESTRICTION

### SYMMETRIC_PROPERTY

    static final String SYMMETRIC_PROPERTY

### THING

    static final String THING

### TRANSITIVE_PROPERTY

    static final String TRANSITIVE_PROPERTY

### UNION_CLASS

    static final String UNION_CLASS

### OWL_ONTOLOGY_POINTER_CLASS

    static final String OWL_ONTOLOGY_POINTER_CLASS

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.